Page MenuHomePhabricator

Replace upstart with systemd unit in swift::service
Closed, ResolvedPublic

Description

service { "swift-${title}":
    ensure    => running,
    enable    => true,
    provider  => 'upstart',
    subscribe => File[$cfg_file],
    require   => File[$cfg_file, "/etc/init/swift-${title}.conf"],
}

Event Timeline

bd808 created this task.Dec 29 2016, 5:18 AM
bd808 added a subscriber: Gilles.Dec 29 2016, 5:35 AM

Patches should be submitted to the jessie-migration gerrit branch.

Gilles claimed this task.Jan 2 2017, 8:53 AM
Gilles added a project: Performance-Team.

Change 333888 had a related patch set uploaded (by Gilles):
Migrate Swift role from upstart to systemd

https://gerrit.wikimedia.org/r/333888

Change 333888 merged by jenkins-bot:
Migrate Swift role from upstart to systemd

https://gerrit.wikimedia.org/r/333888

Gilles closed this task as Resolved.Jan 27 2017, 6:25 AM